{% extends 'base.html' %} {% block content %}

<main>
    <div>
        <h1>My Projects</h1>
        {% if not projects %}
        <p>You are not assigned to any projects</p>
        {% endif %}
        <a href='{% url "create_project" %}'>Create a new project</a>
        {% if projects %}
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Number of tasks</th>
                </tr>
            </thead>
            <tbody>
                {% for project in projects %}
                <tr>
                    <td>
                        <a href="/projects/{{ project.id }}/"
                            >{{ project.name }}</a
                        >
                    </td>
                    <td>{{ project.tasks.all|length }}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
        {% endif %}
    </div>
</main>

{% endblock content %}
